%global namedreltag  -groovy-2.0
%global namedversion %{version}%{?namedreltag}
%global nameddottag  %(echo %{?namedreltag} | tr - . )
Name:          spock
Version:       0.7
Release:       0.9%{?nameddottag}%{?dist}
Summary:       A testing and specification framework
License:       ASL 2.0
URL:           https://github.com/spockframework/spock
Source0:       https://github.com/spockframework/spock/archive/%{name}-%{namedversion}.tar.gz
Patch0:        0001-Build-with-Gradle-local-mode.patch

BuildRequires: gradle-local
BuildRequires: apache-parent

BuildRequires: ant
BuildRequires: antlr
BuildRequires: aopalliance
BuildRequires: apache-commons-cli
BuildRequires: cglib
BuildRequires: google-guice
BuildRequires: groovy >= 2.0
BuildRequires: hamcrest
BuildRequires: junit
BuildRequires: objectweb-asm
BuildRequires: objenesis

Requires:      java
BuildArch:     noarch

Obsoletes:     %{name}-javadoc < 0.7-0.5

%description
Spock is a testing and specification framework for Java and
Groovy applications.

%package core
Summary:       Spock Framework - Core Module

%description core
Spock Framework - Core Module.

%package guice
Summary:       Spock Framework - Guice Module

%description guice
Spock Framework - Guice Module provides support for
testing Guice 2/3 based applications.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
%patch0 -p1
find . -name "*.class" -delete
find . -name "*.jar" -delete

# We don't need these modules.
rm -rf spock-maven spock-spring spock-tapestry spock-unitils

%build
gradle-local -s --offline -x javadoc install

%install
repo=$HOME/.m2/repository

for mod in core guice; do
    pom=$repo/org/spockframework/spock-$mod/%{namedversion}/spock-$mod-%{namedversion}.pom
    jar=$repo/org/spockframework/spock-$mod/%{namedversion}/spock-$mod-%{namedversion}.jar
    %mvn_artifact $pom $jar
    %mvn_package :spock-$mod $mod
done

%mvn_install

%files core -f .mfiles-core
%license LICENSE NOTICE

%files guice -f .mfiles-guice

%changelog
* Tue Jun 16 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.9.groovy.2.0
- Use gradle-local script for building

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 0.7-0.8.groovy.2.0
- fix Url tag

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 0.7-0.7.groovy.2.0
- introduce license macro

* Thu Jan 15 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.6.groovy.2.0
- Rebuild to fix Maven auto-requires

* Tue Nov 18 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.5.groovy.2.0
- Build with groovy 2.x
- Remove javadoc package

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.4.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 0.7-0.3.groovy.1.8
- use objectweb-asm3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.2.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 04 2013 gil cattaneo <puntogil@libero.it> 0.7-0.1.groovy.1.8
- update to 0.7-groovy-1.8

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 0.6-0.5.groovy.1.8
- fixed google-guice in ant build script

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.4.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 29 2012 gil cattaneo <puntogil@libero.it> 0.6-0.3.groovy.1.8
- fixed guice depmap

* Thu Aug 02 2012 gil cattaneo <puntogil@libero.it> 0.6-0.2.groovy.1.8
- Removed nonexisting requires

* Wed Aug 01 2012 gil cattaneo <puntogil@libero.it> 0.6-0.1.groovy.1.8
- initial rpm
